Bug 65584 - High CPU usage during resync
High CPU usage during resync
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-27 23:55 EDT by Christopher Chan
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-28 04:30:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Chan 2002-05-27 23:55:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
raid1d is using between 50% to 80% cpu when doing a resync after a crash and
mdstat reports the speed as being around 1500kb/s. Load average is around 5 with
nothing much running but can shoot up to 60 if services are running. CPU
utilization under the stock 2.4.7-10 SMP kernel is 3% max.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. set machine to boot with 2.4.9-31 kernel. power cycle machine is simulate
crash...
2. run top, cat /proc/mdstat, to get figures
3. set machine to boot with stock 2.4.7-10 SMP kernel. power cycle machine
4. run top to get cpu utilization...
	

Actual Results:  with the 2.4.9-31 kernel, high cpu utilization and load average
of 5 minimum with no services and real high load when services are running...

Expected Results:  cpu utiliazation should be 3% like the 2.4.7-10 kernel....

Additional info:
Comment 1 Arjan van de Ven 2002-05-28 03:48:57 EDT
This smells like no IDE DMA is active.
Can you run hdparm -d /dev/hda (assuming hda is one of the disks) to check this?
(this assumes IDE disks, you didn't specify scsi or ide)
Comment 2 Christopher Chan 2002-05-28 04:15:07 EDT
hmm, we use the kernel-2.4.9-31.src to compile our own kernel. That and using
the stock linux 2.4.18 both leads to high cpu usage for a raid resync. We are
using IDE hard disks. But I have noticed that using your binary rpms whether
2.4.7-10 or 2.4.9-31 (just been allowed to try your binaries) does not result in
high cpu utilization.

dma is off when we use our own compiled drivers but using your binaries result
in dma being on.
Comment 3 Arjan van de Ven 2002-05-28 04:30:12 EDT
Then I think this would be a good time to compare the .config files we use and
the one you used and look for something that appears IDE or DMA related....

Note You need to log in before you can comment on or make changes to this bug.